# Class OpenAccountRequest

#### Hierarchy

- unknown
  - OpenAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:170
- Defined in src/protobuf/grpc_pb.d.ts:182

#####
Index

### Constructors

constructor

### Methods

getPassword
serializeBinary
setPassword
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new OpenAccountRequest(): OpenAccountRequest

- #### Returns OpenAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### getPassword

- getPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:171

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:174

### setPassword

- setPassword(value: string): OpenAccountRequest

- #### Parameters

  - ##### value: string

  #### Returns OpenAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:172

### toObject

- toObject(includeInstance?: boolean): OpenAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns OpenAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:175

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): OpenAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OpenAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:178

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OpenAccountRequest, reader: BinaryReader): OpenAccountRequest

- #### Parameters

  - ##### message: OpenAccountRequest

  - ##### reader: BinaryReader

  #### Returns OpenAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:179

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: OpenAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: OpenAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:177

### `Static` toObject

- toObject(includeInstance: boolean, msg: OpenAccountRequest): OpenAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OpenAccountRequest

  #### Returns OpenAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:176

Generated using TypeDoc